Summary: Compatibility libraries for old applications which use a.out.
Name: aout-libs
Version: 1.4
Release: 13
Exclusivearch: i386
Exclusiveos: Linux
Copyright: distributable
Group: System Environment/Libraries
Source0: aout.sources.tar.gz
Source1: libc-4.7.2.tar.gz
Autoreqprov: no
Buildroot: /var/tmp/aout-lib-root
Prereq: /sbin/ldconfig grep fileutils 

%description
Old Linux systems (pre-libc 5) used the a.out format for programs and
shared libraries (newer Linux systems use the ELF format).  To be able
to run old a.out format programs, you'll need to have the a.out format
libraries installed.  With aout-libs installed, you should be able to run
most a.out format programs in text, X, and SVGAlib modes. You need to
install aout-libs only if you plan to run older versions of programs
which use the a.out format.

%prep
%setup -q -n aout

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
for n in *; do
    install -m 755 $n $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
done
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

(cd $RPM_BUILD_ROOT/usr/
ln -sf X11R6 X11
ln -sf X11R6 X386
cd i486-linuxaout/lib
ln -sf libX11.so.3.1.0 libX11.so.3
ln -sf libX11.so.6.0 libX11.so.6
ln -sf libXIE.so.6.0 libXIE.so.6
ln -sf libXaw.so.3.1.0 libXaw.so.3
ln -sf libXaw.so.6.0 libXaw.so.6
ln -sf libXpm.so.4.2 libXpm.so.4
ln -sf libXt.so.3.1.0 libXt.so.3
ln -sf libXt.so.6.0 libXt.so.6
ln -sf libc.so.4.7.2 libc.so.4
ln -sf libcurses.so.0.1 libcurses.so.0
ln -sf libdb.so.1.85.1 libdb.so.1
ln -sf libm.so.4.6.27 libm.so.4
ln -sf libtcl.so.3.1 libtcl.so.3
ln -sf libtk.so.3.1.1 libtk.so.3
ln -sf libvga.so.1.2.7 libvga.so.1)

DIR=$RPM_BUILD_ROOT/usr/i486-linuxaout

find $DIR -type d | sed -e "s#^$RPM_BUILD_ROOT#%%dir #g" > aout-rpm-files
find $DIR -type f | sed -e "s#^$RPM_BUILD_ROOT##g" >> aout-rpm-files
find $DIR -type l | sed -e "s#^$RPM_BUILD_ROOT##g" >> aout-rpm-files
%post
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = '0' ]; then
    grep -v '^/usr/i486-linuxaout/lib$' < /etc/ld.so.conf > /tmp/new.ld.so.conf
    cp /tmp/new.ld.so.conf /etc/ld.so.conf
fi
/sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f aout-rpm-files
%defattr(-,root,root)
/usr/X11
/usr/X386

%changelog
* Wed Aug 25 1999 Tim Powers <timp@redhat.com>
- fixed problem with directories not being removeed on uninstall
- creates links before ldconfig runs so that they can be removed before
  removal of directories is attempted.
- using files list now

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1

* Tue Feb 02 1999 Michael Maher <mike@redhat.com>
- built package for powertools, removed from distribution
- added build root

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- built for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- added prereqs for scripts

